Subject: [INDEP] a suggestion about RFC review board

From: Lixia Zhang <[email-masked]>
Date: Wed, 12 Jul 2006 08:32:40 -0700

disclaimer first: I have not been up-to-date with all the exchanges  
on this list.

For independent submissions, I believe the editorial review board  
plays a critical role on the quality control (content/topic  
quality).  John's current draft (draft-klensin-rfc- 
independent-02.txt) states that

   5.  The Editorial Review Board

      The RFC Editor appoints and maintains an Editorial Review Board
      which, much like the Editorial Boards of professional journals and
      publishers, provides the RFC Editor with both advice and  
reviews of
      particular proposed publications and general and strategic policy
      advice.

I would like to suggest a change here, to move the appointment of  
this review board to IAB.
Here is my reasoning:
- (as much as I've read from this list) RFC editor is the execution body
   of RFC publication.
- if we leave the review board appointment solely in the hand of RFC  
editor,
   that'd indirectly give rfc editor the decision roles of what to/ 
not to
   publish.
- IAB, by its name, takes responsibility of the overseeing the big  
picture of
   the Internet, include and beyond the existing IETF/IRTF activities.
So IAB seems the right body to make appointment for rfc review board.
I want to clarify that, just like the US legislation system where the  
president appoints supreme court judges but is still ruled by the  
court, this appointment right does not give IAB the decision right on  
which independent RFCs to publish/not.

As someone commented earlier, the RFC editor has been doing a great job.
So my suggestion here is not to fix any existing problem, but to  
suggest a process change.  I've been in this community loong enough  
and lived through the days when Jon Postel single-hand managed RFCs-- 
but that's the good old days when the community was small.  Moving  
forward, as the community continues to grow, I believe it is very  
important that we put right process in place.

my 2 cents,
Lixia

_______________________________________________
INDEPENDENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/independent

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 08:50:20 -0700

Lixia Zhang wrote:
> disclaimer first: I have not been up-to-date with all the exchanges on
> this list.
> 
> For independent submissions, I believe the editorial review board plays
> a critical role on the quality control (content/topic quality).  John's
> current draft (draft-klensin-rfc-independent-02.txt) states that
> 
>      publishers, provides the RFC Editor with both advice and reviews of
> I would like to suggest a change here, to move the appointment of this
> review board to IAB.

This makes sense for IETF RFCs, for which the IAB is a governing body,
but not for independent submissions, *FOR WHICH THEY ARE NOT*.

I don't endorse ANY situation that places more control over the
Independent submission process in the hands of the IETF or IAB, either
directly or indirectly.

>   that'd indirectly give rfc editor the decision roles of what to/not to
>   publish.

Only for Independent submissions.

>   the Internet, include and beyond the existing IETF/IRTF activities.

The IAB has its own series of publications to review and handle
reviewers for (IETF and IRTF).

I would prefer a separate, completely non-ISOC body to handle this
non-ISOC series.

Joe

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 18:15:14 +0200

Joe,

...
> This makes sense for IETF RFCs, for which the IAB is a governing body,

It isn't. Actually the governing body for the IETF process is
the IETF (i.e. IETF consensus as expressed in the process BCPs).
And review and approval is invested in the IESG.

> but not for independent submissions, *FOR WHICH THEY ARE NOT*.

Well, what Lixia is asking is how do we make the independent submission
stream in some way responsible to the community. Since the IAB does
in fact (and has had for many years) the general oversight responsibility
("The IAB must approve the appointment of an organization to
    act as RFC Editor and the general policy followed by the RFC Editor.")
you can't dismiss them immediately in this context.

However, if you don't think the editorial board should be responsible
to the community via the IAB, by what mechanism do you propose to make it
responsible to the community?

     Brian

---

From: Craig Partridge <[email-masked]>
Date: Wed, 12 Jul 2006 12:29:31 -0400

>responsible to the community?

You do it the way every other professional society I know does it -- you
made the Editor-in-Chief responsible for appointing/dismissing members of
the editorial board.

Some professional societies require the Editor-in-Chief to run names
past an advisory committee (e.g., the Editor-in-Chief says "I'd like
to appoint X and Y and Z" to the board and the advisory committee says
yes or no).

Craig

---

From: "Jim Schaad" <[email-masked]>
Date: Wed, 12 Jul 2006 12:41:52 -0400

Brian,

Given that the RFC Editorial Board is advisory in nature, is it the board or
the RFC Editor that really needs to be held accountable?  The RFC Editor is
already accountable to the IAB.

Jim 

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Wednesday, July 12, 2006 12:15 PM
> To: Joe Touch
> Cc: [email-masked]; Lixia Zhang
> Subject: Re: [INDEP] a suggestion about RFC review board
> 
> Joe,
> 
> ...
> Well, what Lixia is asking is how do we make the independent 
> submission stream in some way responsible to the community. 
> Since the IAB does in fact (and has had for many years) the 
> general oversight responsibility ("The IAB must approve the 
> appointment of an organization to
>     act as RFC Editor and the general policy followed by the 
> RFC Editor.") you can't dismiss them immediately in this context.
> 
> However, if you don't think the editorial board should be 
> responsible to the community via the IAB, by what mechanism 
> do you propose to make it responsible to the community?
> 
>      Brian
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 18:42:41 +0200

> to appoint X and Y and Z" to the board and the advisory committee says

And therein lies a possible compromise between the proposal in the draft
and Lixia's proposal.

     Brian.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 18:48:29 +0200

> already accountable to the IAB.

Well, see my last response to Craig. I think we need the accountability to
be reasonably explicit.

     Brian

>>>This makes sense for IETF RFCs, for which the IAB is a 
>>
>>governing body,
>>

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 10:10:39 -0700

> already accountable to the IAB.

Again, NOT regarding Independent submissions. The IETF has jurisdiction
on these *only* when they interfere with IETF process.

Joe

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 10:09:16 -0700

> to appoint X and Y and Z" to the board and the advisory committee says

Which sounds fine to me - so long as that committee is NOT related
directly or indirectly to the IETF.

I want to ensure that Independent submissions are kept Independent. If
there needs to be an IS-RFC Advisory Board, then we need to decide how
to figure that out OUTSIDE of IETF process.

Joe

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 10:07:46 -0700

Brian E Carpenter wrote:
> It isn't. Actually the governing body for the IETF process 

I said *A* governing body ;-)

> is
> stream in some way responsible to the community.

If "we" is the community, then a board appointed by the RFC-Editor
should suffice.

If you're speaking as IETF Chair, then I would say "we" doesn't own the
Independent series ;-)

> Since the IAB does

I can insofar as it regards independent submissions. As others have
pointed out, the RFC-Editor is several roles in one, only one of which
the IETF has jurisdiction over.

> responsible to the community?

I don't want to involve IETF process at all here. If there is process to
be developed or established, then so be it, but this is NOT in the
IETF's purvue.

Joe

---

From: "Jim Schaad" <[email-masked]>
Date: Wed, 12 Jul 2006 13:34:26 -0400

Joe,

Given that the IAB hires the RFC Editor (more or less), the RFC Editor is
accountable to the IAB on all issues.

jim 

> From: Joe Touch [mailto:[email-masked]] 
> Sent: Wednesday, July 12, 2006 1:11 PM
> To: Jim Schaad
> Cc: [email-masked]; 'Brian E Carpenter'
> > Given that the RFC Editorial Board is advisory in nature, is it the 
> > board or the RFC Editor that really needs to be held 
> accountable?  The 
> > RFC Editor is already accountable to the IAB.
> 
> Again, NOT regarding Independent submissions. The IETF has 
> jurisdiction on these *only* when they interfere with IETF process.
> 
> Joe
> 
> > 
> > Jim
> > 
> >> It isn't. Actually the governing body for the IETF process is the 
> >> IETF (i.e. IETF consensus as expressed in the process BCPs).
> >> Since the IAB does in fact (and has had for many years) 
> the general 
> >> oversight responsibility ("The IAB must approve the 
> appointment of an 
> >> organization to
> >>     act as RFC Editor and the general policy followed by the RFC 
> >> Editor.") you can't dismiss them immediately in this context.
> >>
> responsible 
> >> to the community via the IAB, by what mechanism do you propose to 
> >> make it responsible to the community?
> >>
> >>      Brian
> >>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 19:41:55 +0200

BTW, when I say "we" I mean that to be very broad - the entire
community that cares about the whole RFC series. Not just the
IETF, IAB, IRTF or Ianything.

     Brian

Brian E Carpenter wrote:
>> board or
>>> From: Brian E Carpenter [mailto:[email-masked]] Sent: Wednesday, 
>>> July 12, 2006 12:15 PM
>>> To: Joe Touch
>>> submission stream in some way responsible to the community. Since the 
>>> IAB does in fact (and has had for many years) the general oversight 
>>> responsibility ("The IAB must approve the appointment of an 
>>> organization to

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 10:40:42 -0700

> accountable to the IAB on all issues.

Others have spoke to this issue regarding independent submissions,
notably on the main IETF list regarding draft-iab-rfc-editor

I'd reiterate that I speak for myself, not ISI on this issue.

I do not agree that the IAB controls the Independent submission process;
the ISOC supports the RFC Editor, and the RFC Editor task includes
processing Independent submissions. The latter happens as part of the
task of being Editor, and is understood to be supported (indirectly, in
a sense) by the broader support contract, but I don't consider that
'ownership' of the Independent series by whomever pays the contract.

Joe

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 10:43:02 -0700

PS - perhaps the more succinct response would be "the devil's in the
/more or less/" below ;-)

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 13:49:50 -0400

I agree with Craig this is common practice.  Just use it.
/jim 

> From: Craig Partridge [mailto:[email-masked]] 
> Sent: Wednesday, July 12, 2006 12:30 PM
> To: Brian E Carpenter
> Cc: [email-masked]; Joe Touch
> >to the community via the IAB, by what mechanism do you 
> propose to make 
> >it responsible to the community?
> 
> You do it the way every other professional society I know 
> does it -- you made the Editor-in-Chief responsible for 
> appointing/dismissing members of the editorial board.
> 
> Some professional societies require the Editor-in-Chief to 
> run names past an advisory committee (e.g., the 
> Editor-in-Chief says "I'd like to appoint X and Y and Z" to 
> the board and the advisory committee says yes or no).
> 
> Craig
>

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 13:55:23 -0400

Joe, if that is true then we need to make that very clear in a
boilerplate that says this clearly.
/jim 

> Sent: Wednesday, July 12, 2006 1:08 PM
> To: Brian E Carpenter
> If "we" is the community, then a board appointed by the 
> RFC-Editor should suffice.
> 
> If you're speaking as IETF Chair, then I would say "we" 
> doesn't own the Independent series ;-)
> 
> > Since the IAB does
> > in fact (and has had for many years) the general oversight 
> I can insofar as it regards independent submissions. As 
> others have pointed out, the RFC-Editor is several roles in 
> one, only one of which the IETF has jurisdiction over.
> 
> I don't want to involve IETF process at all here. If there is 
> process to be developed or established, then so be it, but 
> this is NOT in the IETF's purvue.
> 
> Joe
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 13:56:35 -0400

This is an important point.  Is this the case.  I am fine with it but I
thought the IETF was involved?  WHich is it?
thx
/jim

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 13:59:18 -0400

Yes this makes sense to my understanding.  This should go in the
boilerplate too and for sure on a web page describing it in the public.
Hmmmm so given this why would the IAB be involved at all?  

/jim 

> Sent: Wednesday, July 12, 2006 1:41 PM
> To: Jim Schaad
> > Given that the IAB hires the RFC Editor (more or less), the 
> RFC Editor 
> > is accountable to the IAB on all issues.
> 
> Others have spoke to this issue regarding independent 
> submissions, notably on the main IETF list regarding 
> draft-iab-rfc-editor
> 
> I do not agree that the IAB controls the Independent 
> submission process; the ISOC supports the RFC Editor, and the 
> RFC Editor task includes processing Independent submissions. 
> The latter happens as part of the task of being Editor, and 
> is understood to be supported (indirectly, in a sense) by the 
> broader support contract, but I don't consider that 
> propose to

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 11:02:52 -0700

> boilerplate that says this clearly.

We should make it clear that other docs have been reviewed by the IESG -
which is already the case. Since independent submissions predate the
IESG and its process, it is the lack of that endorsement that provides
that information.

IMO, making the statement that "this hasn't been reviewed by the IESG"
implies that the IESG should have done so, which simply isn't the case
anyway. We don't say, i.e., in ACM papers, that "The IEEE has not
reviewed this submission.".

Joe

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 11:04:37 -0700

Again, this is NOT appropriate for the boilerplate. The boilerplate
should include statements of IESG review when it occurs and/or for when
it has jurisdiction, but not when it hasn't or has no such jurisdiction.
We've already been over this point regarding the update to the
boilerplate on this list before.

Joe

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 20:07:45 +0200

Jim,

Because the RFC Editor has for many years accepted that the IAB
was its umbrella - this goes back to when Jon Postel personally
was the RFC Editor. That doesn't mean that the IAB is assuming
dictatorial powers.

     Brian

Bound, Jim wrote:
>>>>>Given that the RFC Editorial Board is advisory in nature, 
>>
>>is it the 
>>
>>>>>>It isn't. Actually the governing body for the IETF 
>>
>>process is the 
>>
>>>>appointment of an

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 14:12:27 -0400

Got it.  Now that I hear this I agree so IESG should be out of this and
the IAB too.
/jim 

> Sent: Wednesday, July 12, 2006 2:03 PM
> To: Bound, Jim
> Cc: Brian E Carpenter; [email-masked]; Lixia Zhang
> We should make it clear that other docs have been reviewed by 
> the IESG - which is already the case. Since independent 
> submissions predate the IESG and its process, it is the lack 
> of that endorsement that provides that information.
> 
> implies that the IESG should have done so, which simply isn't 
> the case anyway. We don't say, i.e., in ACM papers, that "The 
> IEEE has not reviewed this submission.".
> 
> Joe
> 
> > /jim
> > 
> others have 
> >> pointed out, the RFC-Editor is several roles in one, only one of 
> >> which the IETF has jurisdiction over.
> >>
> >> I don't want to involve IETF process at all here. If there 
> is process 
> >> to be developed or established, then so be it, but this is 
> NOT in the 
> >> IETF's purvue.
> >>
> >> Joe
> >>
> >>
> 
>

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 11:12:40 -0700

I like that characterization. It's a bit like the fact that the IEEE
appoints an Editor to a journal, and that editor picks the board. The
IEEE has the right to replace the Editor, but not to interfere in
selection of the board. The same is true for most journals.

Joe

Brian E Carpenter wrote:
>>> From: Joe Touch [mailto:[email-masked]] Sent: Wednesday, July 12, 2006
>>> 1:41 PM
>>> To: Jim Schaad
>>> I do not agree that the IAB controls the Independent submission
>>> process; the ISOC supports the RFC Editor, and the RFC Editor task
>>> includes processing Independent submissions. The latter happens as
>>> part of the task of being Editor, and is understood to be supported
>>> (indirectly, in a sense) by the broader support contract, but I don't
>>> consider that 'ownership' of the Independent series by whomever pays
>>> the contract.
>>>
>>> Joe
>>>
>>>
>>>> jim
>>>>
>>>>

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 14:14:35 -0400

Well I am not done with the boilerplate.  The rules of engagement for
submission and completetion need to be stated somewhere and by
boilerplate it could be on a web page.
/jim 

> Sent: Wednesday, July 12, 2006 2:05 PM
> To: Bound, Jim
> Cc: Jim Schaad; [email-masked]; Brian E Carpenter
> Again, this is NOT appropriate for the boilerplate. The 
> boilerplate should include statements of IESG review when it 
> occurs and/or for when it has jurisdiction, but not when it 
> hasn't or has no such jurisdiction.
> We've already been over this point regarding the update to 
> the boilerplate on this list before.
> 
> Joe
> 
> Bound, Jim wrote:
> >> includes processing Independent submissions.
> >> The latter happens as part of the task of being Editor, and is 
> >> understood to be supported (indirectly, in a sense) by the broader 
> >> support contract, but I don't consider that 'ownership' of the 
> >> Independent series by whomever pays the contract.
> >>
> >> Joe
> >>
> >>> jim
> >>>

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 14:15:23 -0400

Brian, understood but why not a new body why use the IAB?  It is not
required is all I am saying.
/jim 

> Sent: Wednesday, July 12, 2006 2:08 PM
> To: Bound, Jim
> Cc: Joe Touch; Jim Schaad; [email-masked]
> Because the RFC Editor has for many years accepted that the 
> IAB was its umbrella - this goes back to when Jon Postel 
> personally was the RFC Editor. That doesn't mean that the IAB 
> is assuming dictatorial powers.
> 
>      Brian
> 
> Bound, Jim wrote:

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 14:30:25 -0400

That is a good business argument I agree.  Good point.
thx
/jim 
bb
> Sent: Wednesday, July 12, 2006 2:29 PM
> To: Bound, Jim
> Cc: Jim Schaad; [email-masked]; Joe Touch
> Because if you spin off the independent submissions 
> completely in that way, why on earth should they be part of 
> the same series at all, paid for by the same budget?
> 
>     Brian
> 
> Bound, Jim wrote:
> >>Because the RFC Editor has for many years accepted that the IAB was 
> >>its umbrella - this goes back to when Jon Postel personally was the 
> >>RFC Editor. That doesn't mean that the IAB is assuming dictatorial 
> >>powers.
> >>
> >>     Brian
> >>
> >>Bound, Jim wrote:
> >>
> >>>boilerplate too and for sure on a web page describing it in
> >>
> >>the public.
> >>
> submissions, 
> >>>>>>jurisdiction on these *only* when they interfere with
> >>
> >>IETF process.
> >>
> >>>>>>Joe
> >>>>>>
> >>>>>>
> >>>>>>
> >>>>>>>Jim
> >>>>>>>
> >>>>>>>
> >>>>>>>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 20:28:35 +0200

Because if you spin off the independent submissions completely in that way,
why on earth should they be part of the same series at all, paid for
by the same budget?

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 12 Jul 2006 20:19:15 +0200

Joe,

I think the argument is that most of the world is quite ignorant
of these nuances and believes that all RFCs are from the IETF (and
probably believes they are all standards). So the statement that
a document is not from the IETF is in fact meaningful information.
Of course, the details of the relevant boilerplate can be debated.

   Brian

---

From: Craig Partridge <[email-masked]>
Date: Wed, 12 Jul 2006 15:05:09 -0400

>Of course, the details of the relevant boilerplate can be debated.

Hi Brian:

Fifteen years ago the world believed all important RFCs were carefully
reviewed by Jon Postel and it was common to ask/wonder what Jon felt
about a particular IETF product to determine if it was any good.

My point is that the world evolves and continues to evolve and that
making semi-permanent changes based on a current sense of what
the world thinks is busted, as the world will change.

Different people have different ways to deal with this reality.  My
personal favorite is to figure out what one would like the state of
the world to be and try to act that way.  

In that context:

* I think all are agreed that the RFC Editor has historically published
  documents that were not standards, and said documents have proved useful,
  and should continue to be published.

* We all agree that a non-negligible fraction of people not close to the
  IETF/IAB/IRSG/Internet world do not understand that the RFC process
  has a larger technical purpose than simply publishing standards.

* We are caught in a multi-headed issue of which, I think, the key issue
  is the IETF's desire to be sure that the unscrupulous cannot easily
  exploit the confusion about RFCs and standards.  (We can add on 
  issues of funding, oversight, etc., but I think they're at least
  50% sideshow).

My way out of this last issue is to observe that we can never fully
prevent the unscrupulous and if they compell us to do unsightly things,
we're on our way to losing.  Or, putting the point another way, we can try
every trick that we know, there will still be people gulled into thinking
a non-standard RFC is a standard.  So we should do what is necessary to
help folks, but what we do is unlikely to be sufficient.

Craig

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 12 Jul 2006 20:05:25 +0100

> Of course, the details of the relevant boilerplate can be debated.

I agree. Not many people, including many who regularly attend the
IETF, understand the subtleties of the independent submissions
system.

I think that if you go outside the IETF the majority would make
the assumption that Brian alludes to.

- Stewart

>>>> From: Joe Touch [mailto:[email-masked]] Sent: Wednesday, July 12, 
>>>> 2006 1:08 PM
>>>> To: Brian E Carpenter
>>>> If you're speaking as IETF Chair, then I would say "we" doesn't own 
>>>> the Independent series ;-)
>>>>
>>>>
>>>>> Since the IAB does
>>>> process to be developed or established, then so be it, but this is 
>>>> NOT in the IETF's purvue.
>>>>
>>>> Joe
>>>>
>>>>
>>
>>
>

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 12 Jul 2006 20:16:34 +0100

>help folks, but what we do is unlikely to be sufficient.
I know that Leslie just said that it's out of scope but calling non-IETF 
process
docs somethink other than RFCs would certainly help.

I think that this is a case where the child has outgrown the parent. So
although the IETF work was originally published under the umbrella
of an publication series that was created for wider purpose, perhaps
we have reached the point where the non-IETF documents
should be called something else, leaving the documents approved
by the IETF process to contine alone with the name RFC.

Note I do not propose that we do anything retrospective with this,
because, as has been noted, that is a big job.

- Stewart

---

From: Craig Partridge <[email-masked]>
Date: Wed, 12 Jul 2006 15:23:29 -0400

Hi Stewart:

Yes this is out of scope, I think in part, because the solution space
is large.  To wit:

    * We could make RFC series standards only going forward.  But what do
      we do about those 4,000 odd historical documents -- lots of mischief
      to do there?  And what do we call the new document series.  There's
      evidence that creating long-lived on-line document series is HARD.

    * We could tell the IETF to create its own series.  As you say, it has
      outgrown the parent.  So it should shoulder the burden of creating
      a new series and leave RFCs for their primary purpose.  In many
      ways this is nicer.  Call the STD series, reprint the few hundred
      odd standards already labelled STD in the RFC series and go forth
      and conquer.

    * We could stop RFCs (no one gets the coveted name anymore) and create
      however many document series we needed.  Everyone gets to share the
      pain of creating a new series (IRTF, IAB, IETF, whomever).  Perhaps
      Google will host them?

The decision has been made (wisely or not) not to open this can of worms
and instead continue the RFC series as a multi-purpose document series.
I say, let's live within that scope.

Thanks!

Craig

---

From: Leslie Daigle <[email-masked]>
Date: Wed, 12 Jul 2006 16:03:45 -0400

It is out of scope for this list.  But, there will be a discussion
of the overall proposal (following on from the public discussion
of draft-iab-rfc-editor-00) at the IAB plenary tomorrow night --
right before the INDEPENDENT  discussion.

Leslie.

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 13:30:02 -0700

Perhaps because the IETF is making hay on the series they are - IMO -
usurping, rather than establishing their own. It's not a new idea to
include support for something of community utility - even if not under
IETF control. That sort of 'good will' is part of other publication series.

Joe

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 16:41:27 -0400

I think it needs to be tracked this is far different than other series,
but I do agree current boilerplates are good or notation such as
Experimental, Informational, etc. This is a different discussion and I
heard clear consensus on this list there are concerns and as this
process has no kings then I believe the concern (not changing the
series) must remain in the background for now and see that we have
addressed to the best of our ability.  Everyone here is equal regarding
input and discussion.

Best,
/jim 

> Sent: Wednesday, July 12, 2006 4:31 PM
> To: Brian E Carpenter
> Cc: Bound, Jim; [email-masked]; Lixia Zhang
> > I think the argument is that most of the world is quite ignorant of 
> > these nuances and believes that all RFCs are from the IETF (and 
> > probably believes they are all standards). So the statement that a 
> > document is not from the IETF is in fact meaningful information.
> 
> We're never going to sufficiently educate the world on this, 
> any more than we are on "not all RFCs are standards".
> 
> That ship has already sailed as well; we can't go back and 
> issue that boilerplate on pre-IETF docs.
> 
> IMO, that means that the boilerplate we already have that 
> describes standards or IETF-reviewed/process docs is 
> sufficient in flagging the new stuff.
> 
> We've been down that road before regarding other boilerplate. 
> It's not necessary to rehash this issue.
> 
> Joe
> 
> >> We should make it clear that other docs have been reviewed by the 
> >> IESG - which is already the case. Since independent submissions 
> >> predate the IESG and its process, it is the lack of that 
> endorsement 
> >> that provides that information.
> >>
> >> implies that the IESG should have done so, which simply isn't the 
> >> case anyway. We don't say, i.e., in ACM papers, that "The IEEE has 
> >> not reviewed this submission.".
> >>
> >> Joe
> >>
> >>
> >>> /jim
> >>>
> governing 
> >>>>>> body,

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 13:40:11 -0700

Stewart Bryant wrote:
...
> process docs somethink other than RFCs would certainly help.

IMO, it'd be appropriate to have that discussion change process docs to
be called something other than RFCs. We've been over this discussion
before; we can't change the articles, books, etc. already published that
refer to non-IETF docs as RFCs.

> by the IETF process to contine alone with the name RFC.

If the IETF cares that much about its product having a unique name, it
needs to create one it _owns_. It's inappropriate to expect the world to
rename one that existed before the IETF (and, IMHO, will exist after the
IETF as well ;-)

Joe

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 16:45:13 -0400

Agree it is like the term MANET which is all wrong.  Impossible mission
given the cost and energy.

/jim 

> Sent: Wednesday, July 12, 2006 4:40 PM
> To: Stewart Bryant
> Cc: Craig Partridge; [email-masked]; Brian E Carpenter
> > I know that Leslie just said that it's out of scope but calling 
> > non-IETF process docs somethink other than RFCs would 
> certainly help.
> 
> IMO, it'd be appropriate to have that discussion change 
> process docs to be called something other than RFCs. We've 
> been over this discussion before; we can't change the 
> articles, books, etc. already published that refer to 
> non-IETF docs as RFCs.
> 
> > I think that this is a case where the child has outgrown 
> the parent. 
> > So although the IETF work was originally published under 
> the umbrella 
> > we have reached the point where the non-IETF documents should be 
> > called something else, leaving the documents approved by the IETF 
> > process to contine alone with the name RFC.
> 
> If the IETF cares that much about its product having a unique 
> name, it needs to create one it _owns_. It's inappropriate to 
> expect the world to rename one that existed before the IETF 
> (and, IMHO, will exist after the IETF as well ;-)
> 
> Joe
> 
>

---

From: Leslie Daigle <[email-masked]>
Date: Wed, 12 Jul 2006 19:02:03 -0400

Jim,

The point of the list is to discuss the rules of engagement!  But
it's also in a *context* -- and I'm not sure if people are keeping
that in mind.  The IAB set up this discussion and seeking consensus
on the process for independent submissions.  If someone has
issues with *that*, this is not the list for the (meta) discussion.

Leslie.

Bound, Jim wrote:
> WHat should not be out of scope is to define clearly the rules of
> engagements and definition of INDP RFCs that are not IETF work.
> Correct?
> 
> /jim 
> 
>> From: Leslie Daigle [mailto:[email-masked]] 
>> Sent: Wednesday, July 12, 2006 4:04 PM
>> To: Stewart Bryant
>> It is out of scope for this list.  But, there will be a 
>> discussion of the overall proposal (following on from the 
>> public discussion of draft-iab-rfc-editor-00) at the IAB 
>> plenary tomorrow night -- right before the INDEPENDENT  discussion.
>>
>> Leslie.
>>
>> Stewart Bryant wrote:
>>> Craig Partridge wrote:
>>>
>>>> Fifteen years ago the world believed all important RFCs were 
>>>> carefully reviewed by Jon Postel and it was common to 
>> ask/wonder what 
>>>> Jon felt about a particular IETF product to determine if 
>> it was any good.
>>>> making semi-permanent changes based on a current sense of what the 
>>>> world thinks is busted, as the world will change.
>>>>
>>>> * I think all are agreed that the RFC Editor has historically 
>>>> published  documents that were not standards, and said 
>> documents have 
>>>> proved useful,  and should continue to be published.
>>>>
>>>> * We all agree that a non-negligible fraction of people 
>> not close to 
>>>> the  IETF/IAB/IRSG/Internet world do not understand that the RFC 
>>>> process  has a larger technical purpose than simply 
>> publishing standards.
>>>> * We are caught in a multi-headed issue of which, I think, the key 
>>>> issue  is the IETF's desire to be sure that the 
>> unscrupulous cannot 
>>>> easily  exploit the confusion about RFCs and standards.  
>> (We can add 
>>>> on  issues of funding, oversight, etc., but I think 
>> they're at least  
>>>> 50% sideshow).
>>>>
>>>> prevent the unscrupulous and if they compell us to do unsightly 
>>>> things, we're on our way to losing.  Or, putting the point another 
>>>> way, we can try every trick that we know, there will still 
>> be people 
>>>> gulled into thinking a non-standard RFC is a standard.  So 
>> we should 
>>>> do what is necessary to help folks, but what we do is 
>> unlikely to be 
>>>> sufficient.
>>>>
>>>> Craig
>>>>

---

From: Joe Touch <[email-masked]>
Date: Wed, 12 Jul 2006 13:30:51 -0700

> a document is not from the IETF is in fact meaningful information.

We're never going to sufficiently educate the world on this, any more
than we are on "not all RFCs are standards".

That ship has already sailed as well; we can't go back and issue that
boilerplate on pre-IETF docs.

IMO, that means that the boilerplate we already have that describes
standards or IETF-reviewed/process docs is sufficient in flagging the
new stuff.

We've been down that road before regarding other boilerplate. It's not
necessary to rehash this issue.

Joe

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 12 Jul 2006 16:38:28 -0400

/jim

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 13 Jul 2006 06:03:19 -0400

Leslie, agree.  But when I see 6 people say this is important to the
rules of engagement and then a few say I don't agree I just want to
understand why a few with mail quips of statements should overrule the
many.  Maybe it is time for doc update to the list to take it back on
course is one suggestion?

Thanks
/jim 

> Sent: Wednesday, July 12, 2006 7:02 PM
> To: Bound, Jim
> Cc: Craig Partridge; [email-masked]; Brian E Carpenter; 
> Stewart Bryant
> The point of the list is to discuss the rules of engagement!  
> But it's also in a *context* -- and I'm not sure if people 
> are keeping that in mind.  The IAB set up this discussion and 
> seeking consensus on the process for independent submissions. 
>  If someone has issues with *that*, this is not the list for 
> the (meta) discussion.
> 
> Leslie.
> 
> 
> 
> Bound, Jim wrote:
> discussion of 
> >> the overall proposal (following on from the public discussion of 
> >> draft-iab-rfc-editor-00) at the IAB plenary tomorrow night 
> -- right 
> >> before the INDEPENDENT  discussion.
> >>
> >> Leslie.
> >>
> >> Stewart Bryant wrote:
> >>> Craig Partridge wrote:
> >>>

---

From: Bob Hinden <[email-masked]>
Date: Thu, 13 Jul 2006 10:36:44 -0400

Lixia,

> this review board to IAB.

I disagree because I think having the rfc-editor appoint the board is  
an important part of keeping independent submissions independent.   
More below.

> - if we leave the review board appointment solely in the hand of  
> RFC editor,
> I want to clarify that, just like the US legislation system where  
> the president appoints supreme court judges but is still ruled by  
> the court, this appointment right does not give IAB the decision  
> right on which independent RFCs to publish/not.

Your analogy with the appointment of supreme court judges is a reason  
not to do this.  Presidents try very hard to appoint supreme court  
judges with the same views that they have.  They want decisions that  
mirror their views and policies.  They don't want judges with  
"independent" views.  For the same reason, I think the RFC editor  
should appoint the board as it facilitates independent decisions.

If some future IAB all agreed about some issue [clearly not the  
current or past IABs :-) ] and had appointed review board members  
with the same view, then it would hard to see how the board would  
approve approve independent submissions that had a divergent view.

> and lived through the days when Jon Postel single-hand managed  
> RFCs--but that's the good old days when the community was small.   
> Moving forward, as the community continues to grow, I believe it is  
> very important that we put right process in place.

Agreed.  I think that in this case, that is to leave the appointment  
of the review board to the RFC-Editor.

Bob

p.s. I am a member of the current review board.

---

From: "Robert Sayre" <[email-masked]>
Date: Thu, 13 Jul 2006 16:38:58 +0200

On 7/13/06, Bound, Jim <[email-masked]> wrote:
> many.

I don't think the boilerplate text or the name of independent RFCs
needs to change.

-- 

Robert Sayre

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 13 Jul 2006 10:41:04 -0400

Bob made a good and valid point for rules of engagement to discuss and
is in my view correct about the supreme court appointments analysis.

Best,
/jim 

> From: Bob Hinden [mailto:[email-masked]] 
> Sent: Thursday, July 13, 2006 10:37 AM
> To: Lixia Zhang
> Cc: [email-masked]
> >   that'd indirectly give rfc editor the decision roles of 
> what to/ not 
> > to
> >   publish.
> Your analogy with the appointment of supreme court judges is 
> a reason not to do this.  Presidents try very hard to appoint 
> supreme court judges with the same views that they have.  
> They want decisions that mirror their views and policies.  
> They don't want judges with "independent" views.  For the 
> same reason, I think the RFC editor should appoint the board 
> as it facilitates independent decisions.
> 
> If some future IAB all agreed about some issue [clearly not 
> the current or past IABs :-) ] and had appointed review board 
> members with the same view, then it would hard to see how the 
> board would approve approve independent submissions that had 
> a divergent view.
> 
> Agreed.  I think that in this case, that is to leave the 
> appointment of the review board to the RFC-Editor.
> 
> Bob
>

---

From: Joe Touch <[email-masked]>
Date: Fri, 14 Jul 2006 06:03:31 -0700

Lixia Zhang wrote:
> 
> On Jul 12, 2006, at 11:12 AM, Joe Touch wrote:
> 
> Hi Joe,  thanks for the analogy, because this analogy made me realize an
> important ambiguity/confusion/unclarified point about "RFC editor
> contract".
> 
> In case of an IEEE journal, the editor's job is merely to decide whether
> a submission should be accepted/rejected/returned for further revision. 
> Once a submission is accepted, the editor is done; IEEE takes over the
> rest of the job (copy editing, publishing, whatever).
> 
> As such, IEEE chooses an editor based on his/her technical credential
> (and responsibleness:-).
> 
> My understanding of "RFC editor contract" is a contract to an
> *organization*, with the RFC editor being part of that organization. 
> And that organization carries out all the jobs of
> copyediting/publishing/RFC website support (for independent as well as
> all other IETF/IRTF/IAB produced RFCs).
> 
> I'd be glad if some authoritative people on this list can tell me that
> I'm wrong.  In that case, just ignore what I say below.
> 
> My worry comes if my understanding is right: for an organization best in
> handling all the publishing side of work, what would be the chance that
> they'd have a Bob-equivalent?  Or their chance of going out to
> successfully hire the right Bob?
> If the answer to the above two questions is questionable, then what is
> the chance that this organization/their-picked RFC editor would know the
> Internet community well enough to appoint a right review board?

Agreed. This is a little different - where an entire series is being
farmed out. The good news is that the editor organization can be
replaced, roughly on the timescales that editors are at comparable journals.

Yes, this presumes a level of expertise - and, IMO, MUCH more
importantly, a focus on COMMUNITY SERVICE.

Joe

---

From: Lixia Zhang <[email-masked]>
Date: Fri, 14 Jul 2006 05:58:39 -0700

> selection of the board. The same is true for most journals.

Hi Joe,  thanks for the analogy, because this analogy made me realize  
an important ambiguity/confusion/unclarified point about "RFC editor  
contract".

In case of an IEEE journal, the editor's job is merely to decide  
whether a submission should be accepted/rejected/returned for further  
revision.  Once a submission is accepted, the editor is done; IEEE  
takes over the rest of the job (copy editing, publishing, whatever).

My understanding of "RFC editor contract" is a contract to an  
*organization*, with the RFC editor being part of that organization.   
And that organization carries out all the jobs of copyediting/ 
publishing/RFC website support (for independent as well as all other  
IETF/IRTF/IAB produced RFCs).

I'd be glad if some authoritative people on this list can tell me  
that I'm wrong.  In that case, just ignore what I say below.

My worry comes if my understanding is right: for an organization best  
in handling all the publishing side of work, what would be the chance  
that they'd have a Bob-equivalent?  Or their chance of going out to  
successfully hire the right Bob?
If the answer to the above two questions is questionable, then what  
is the chance that this organization/their-picked RFC editor would  
know the Internet community well enough to appoint a right review board?

If I'm allowed to repeat myself one more time here: today everything  
works great.  But lets recognize the fact that this is all the  
inheritance from the past, and (what an unfortunate fact!) wont last  
forever.
Moving forward, we need a process in place to assure the future success.

Lixia

---

From: Joe Touch <[email-masked]>
Date: Fri, 14 Jul 2006 06:07:30 -0700

Lixia Zhang wrote:
...
> Internet community well enough to appoint a right review board?

To be clear - that should be a criteria of selecting the contract, IMO.

In the IEEE, the editor is selected by the technical volunteers a and
support is from the professional organization.

If we feel that there needs to be a board of advisors for the RFC
Editor, then maybe we should select one. I do NOT consider the selection
criteria or focus of the IESG or IAB qualification for being that board;
in fact, I feel that the natural tension between the RFC Editor and the
IETF regarding independent submissions necessitates an _independent_
board of advisors.

So maybe we could/should have such a board, but it definitely should NOT
be the IAB, IESG, or any other IETF body IMO.

Joe

---

From: John C Klensin <[email-masked]>
Date: Sun, 16 Jul 2006 00:10:57 -0400

--On Friday, July 14, 2006 5:58 AM -0700 Lixia Zhang 
<[email-masked]> wrote:

>> I like that characterization. It's a bit like the fact that
>> the IEEE appoints an Editor to a journal, and that editor
>> picks the board. The IEEE has the right to replace the
>> Editor, but not to interfere in selection of the board. The
>> same is true for most journals.
>>
>> Joe
>
> Hi Joe,  thanks for the analogy, because this analogy made me
> realize  an important ambiguity/confusion/unclarified point
> about "RFC editor  contract".
>
> In case of an IEEE journal, the editor's job is merely to
> decide  whether a submission should be
> accepted/rejected/returned for further  revision.  Once a
> submission is accepted, the editor is done; IEEE  takes over
> the rest of the job (copy editing, publishing, whatever).
>
> As such, IEEE chooses an editor based on his/her technical
> credential  (and responsibleness:-).
>
> *organization*, with the RFC editor being part of that
> organization.   And that organization carries out all the jobs
> of copyediting/ publishing/RFC website support (for
> independent as well as all other  IETF/IRTF/IAB produced RFCs).
>
> I'd be glad if some authoritative people on this list can tell
> me  that I'm wrong.  In that case, just ignore what I say
> below.
>
> My worry comes if my understanding is right: for an
> organization best  in handling all the publishing side of
> work, what would be the chance  that they'd have a
> Bob-equivalent?  Or their chance of going out to  successfully
> hire the right Bob?
> If the answer to the above two questions is questionable, then
> what  is the chance that this organization/their-picked RFC
> editor would  know the Internet community well enough to
> appoint a right review board?
>
> If I'm allowed to repeat myself one more time here: today
> everything  works great.  But lets recognize the fact that
> this is all the  inheritance from the past, and (what an
> unfortunate fact!) wont last  forever.

Lixia,

It seems to me that you are making an argument for splitting the 
"RFC Editor" and "technical publisher" roles up in a different 
way than we have them today.  I'm personally very sympathetic to 
that argument since it is not obvious to me that the right 
technical and copy editor is necessarily the right web site 
creator or archivist.  Ir ia also not obvious to me that the 
right skill set for evaluating documents to be published 
necessarily comes with any of those other skills.

But it seems to me that a recasting of the single role into 
several, with potentially different organizations taking on 
different roles and tasks,  is the solution to the problem you 
are raising.  If the IASA, in its wisdom, concludes that the 
tasks they want to put out for bid track closely the 
responsibilities of the RFC Editor today, then they have made 
the decision you are concerned about for you: that 
less-attractive future is not now.

Against that backdrop, I think there are only two rational 
decisions.  One is, as Joe and others have suggested, to appoint 
the RFC Editor, let that organization select an Editorial Board 
and similar mechanisms that they can work with, and hold them 
responsible.   The other, if that isn't satisfactory, is to open 
up the task definition in a broader way such that, e.g., one 
would come much closer to the IEEE model (although still with 
great independence from day-to-day IESG or IAB control).

    john

---

From: Lixia Zhang <[email-masked]>
Date: Sun, 16 Jul 2006 09:19:17 -0700

On Jul 15, 2006, at 9:10 PM, John C Klensin wrote:
> "RFC Editor" and "technical publisher" roles up in a different way  
> than we have them today.

sorry for the lack of clarity in my message (or not stating it  
directly:-)
But no, this is not what I was arguing.  I was merely reasoning my  
earlier suggestion of letting IAB appoint the review board, as you  
also stated below.

I would very much like to keep the picture as simple as possible.

> I'm personally very sympathetic to that argument since it is not  
> obvious to me that the right technical and copy editor is  
> necessarily the right web site creator or archivist.  Ir ia also  
> not obvious to me that the right skill set for evaluating documents  
> to be published necessarily comes with any of those other skills.
>
> different roles and tasks,  is the solution to the problem you are  
> raising.  If the IASA, in its wisdom, concludes that the tasks they  
> want to put out for bid track closely the responsibilities of the  
> RFC Editor today, then they have made the decision you are  
> concerned about for you: that less-attractive future is not now.
>
> the RFC Editor, let that organization select an Editorial Board and  
> similar mechanisms that they can work with, and hold them  
> responsible.   The other, if that isn't satisfactory, is to open up  
> the task definition in a broader way such that, e.g., one would  
> come much closer to the IEEE model (although still with great  
> independence from day-to-day IESG or IAB control).

An IAB appointed review board will still have great independence from  
IAB control, as far as I see it.  At the same time, this would  
somewhat reduce the dependency on the technical/architectural  
expertise on this RFC editor organization.

Lixia

---

From: John C Klensin <[email-masked]>
Date: Sun, 16 Jul 2006 16:50:11 -0400

--On Sunday, July 16, 2006 9:19 AM -0700 Lixia Zhang 
<[email-masked]> wrote:

>> It seems to me that you are making an argument for splitting
>> the   "RFC Editor" and "technical publisher" roles up in a
>> different way   than we have them today.
>
> But no, this is not what I was arguing.  I was merely
> reasoning my  earlier suggestion of letting IAB appoint the
> review board, as you  also stated below.

I know you were not arguing that.  But I believe that your 
reasoning leads either to that conclusion or to a contradiction.

> I would very much like to keep the picture as simple as

We agree about that.  We just look at this and define "simple" 
differently.

>> I'm personally very sympathetic to that argument since it is
>> not   obvious to me that the right technical and copy editor
>> is   necessarily the right web site creator or archivist.  Ir
>> ia also   not obvious to me that the right skill set for
>> evaluating documents   to be published necessarily comes with
>> any of those other skills.
>>
>> different roles and tasks,  is the solution to the problem
>> you are   raising.  If the IASA, in its wisdom, concludes
>> that the tasks they   want to put out for bid track closely
>> the responsibilities of the   RFC Editor today, then they
>> have made the decision you are   concerned about for you:
>> that less-attractive future is not now.
>>
>> decisions.  One is, as Joe and others have suggested, to
>> appoint   the RFC Editor, let that organization select an
>> Editorial Board and   similar mechanisms that they can work
>> with, and hold them   responsible.   The other, if that isn't
>> satisfactory, is to open up   the task definition in a
>> broader way such that, e.g., one would   come much closer to
>> the IEEE model (although still with great   independence from
>> day-to-day IESG or IAB control).
>
> An IAB appointed review board will still have great
> independence from  IAB control, as far as I see it.  At the
> same time, this would  somewhat reduce the dependency on the
> technical/architectural  expertise on this RFC editor
> organization.

Well, it may or may not have that independence, depending on how 
things work.  You can hypothesize that some future RFC Editor 
organization will be chosen in spite of not having the skills to 
do its own appointments and make its own decisions.  I can 
hypothesize that, under the Nomcom model, the IAB could 
deteriorate to the point that it would not have those skills. 
I note that draft-klensin-rfc-independent provides for advice 
from the IAB on editorial board suggestions.  I suggest that if 
the RFC Editor, without any need for compulsion and especially 
in areas where the RFC Editor organization doesn't have in-depth 
competence, doesn't pay careful attention to that advice then we 
are will probably have problems much more severe than can be 
controlled by the choice of who appoints the Editorial Board.

All of that is speculation.   One dimension of this problem is 
not speculation and that is the issue of accountability.  If the 
RFC Editor appoints the Editorial Board (and members of its 
staff), then we can hold the RFC Editor accountable for results. 
If the IAB makes those appointments and things go astray 
--because of professional disagreements, personality problems, 
or otherwise-- then we have opportunities for finger-pointing 
and maybe micromanagement.  I think we could get around that 
problem by creating a more or less elaborate systems of checks 
and balances such as appointment by one organization subject to 
approval/ ratification by the other, an appeals mechanism, etc., 
but I'm trying to keep things simple.  And I think the 
combination of "simple" and "accountable" implies that the RFC 
Editor appoints the Editorial Board, ideally after considering 
whatever _advice_ the IAB decides to offer.

    john

---

From: Lixia Zhang <[email-masked]>
Date: Sat, 22 Jul 2006 23:16:11 -0700

On Jul 16, 2006, at 1:50 PM, John C Klensin wrote:

>> ......
> organization will be chosen in spite of not having the skills to do  
> its own appointments and make its own decisions.

I was not hypothesizing that.
Rather, like you said in the above, "it is not obvious to me that the  
right technical and copy editor is necessarily the right web site  
creator or archivist"

> I can hypothesize that, under the Nomcom model, the IAB could  

if that ever happened, then we'd have a much bigger problem to worry  
about than even RFC editors:-)

> I note that draft-klensin-rfc-independent provides for advice from  
> the IAB on editorial board suggestions.  I suggest that if the RFC  
> Editor, without any need for compulsion and especially in areas  
> where the RFC Editor organization doesn't have in-depth competence,  
> doesn't pay careful attention to that advice then we are will  
> probably have problems much more severe than can be controlled by  
> the choice of who appoints the Editorial Board.

paying attention is a very different issue than having the  
architectural expertise and knowing the community.

> All of that is speculation. One dimension of this problem is not  
> speculation and that is the issue of accountability.  If the RFC  
> Editor appoints the Editorial Board (and members of its staff),

members of staff, yes.
But editorial board members will (mostly) not be RFC Editor's staff  
members.

> then we can hold the RFC Editor accountable for results. If the IAB  
> makes those appointments and things go astray --because of  
> professional disagreements, personality problems, or otherwise--  
> then we have opportunities for finger-pointing and maybe  
> micromanagement.  I think we could get around that problem by  
> creating a more or less elaborate systems of checks and balances  
> such as appointment by one organization subject to approval/  
> ratification by the other, an appeals mechanism, etc., but I'm  
> trying to keep things simple.  And I think the combination of  
> "simple" and "accountable" implies that the RFC Editor appoints the  
> Editorial Board, ideally after considering whatever _advice_ the  
> IAB decides to offer.

John, you do make a very good argument on this accountability issue.
However that does not ease my concern about the multi-dimensional  
requirements on RFC editor, how feasible it is to find one that can  
meet all the requirements, especially the technical requirements.

Lixia

---

From: Bob Braden <[email-masked]>
Date: Sun, 23 Jul 2006 17:11:24 -0700

>replaced, roughly on the timescales that editors are at comparable journals.

The realities of management make it much harder and slower to replace an
ORGANIZATION -- a group of people with the skills and motivation necessaary --
than to replace a single person.  The IETF is embarked on an ambitious
experiment in replacing the organization.

>importantly, a focus on COMMUNITY SERVICE.

Yes. We are talking about a resource-short situation.

Bob Braden

---

From: Joe Touch <[email-masked]>
Date: Sun, 23 Jul 2006 20:44:34 -0700

> experiment in replacing the organization.

The timescale for typical editors is 2-4 years. The timescale for the
RFC Editor RFP is 2 years. The point is that the editor organization
impacts the selection of the editorial board only during that period,
and the periods are similar.

It certainly is ambitious to turnover the RFC Editor every 2 - or even 3
 - years. Journals tend to do turnover more like 4 years, and they have
much less mechanism to handover.

Joe

---

From: John C Klensin <[email-masked]>
Date: Mon, 24 Jul 2006 07:43:41 -0400

--On Sunday, 23 July, 2006 20:44 -0700 Joe Touch <[email-masked]>
wrote:

> Bob Braden wrote:  
>>> 
>>> Agreed. This is a little different - where an entire series
>>> is being farmed out. The good news is that the editor
>>> organization can be replaced, roughly on the timescales that
>>> editors are at comparable journals. 
>> 
>> The realities of management make it much harder and slower to
>> replace an ORGANIZATION -- a group of people with the skills
>> and motivation necessaary --
>> than to replace a single person.  The IETF is embarked on an
>> ambitious experiment in replacing the organization.
> 
> The timescale for typical editors is 2-4 years. The timescale
> for the RFC Editor RFP is 2 years. The point is that the
> editor organization impacts the selection of the editorial
> board only during that period, and the periods are similar.
> 
> It certainly is ambitious to turnover the RFC Editor every 2 -
> or even 3  - years. Journals tend to do turnover more like 4
> years, and they have much less mechanism to handover.

And, indeed, while journals often turn editors over on 2-4 year
cycles, they typically turn publishers (or organizations that
appoint the editor, which may be different) over very rarely
indeed.  I've been through the process of changing publishers,
with the appointing organization remaining relatively constant,
with a journal once and it was not a lot of fun -- took about 18
months before things were running smoothly again, with "monthly"
issues turning up in groups of three or five.

     john